Bug 253680 - Shortcomings in network configuration
Shortcomings in network configuration
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-21 02:55 EDT by David Campbell
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-21 11:59:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Campbell 2007-08-21 02:55:23 EDT
Description of problem:

Fedora 7 doesn't take a lowest-common-denominator approach to networking and
seems to presumes that the networking equipment being used is capable of
supporting networking features like tcp window scaling.

This is probably a reasonable assumption, but unfortunately a lot of
off-the-shelf networking hardware is broken with respect to some advanced
features of networking like tcp window scaling, which can result in dreadful
networking slowness and problems when used with linux, and at a complexity way
beyond what your average user will be able to diagnose or investigate following
linux installation.

In my case, adding net.ipv4.tcp_window_scaling=0 to /etc/sysctl.conf solved the
weird networking problems evident but it took some hours to figure out what the
problem was and I'm a programmer.

Yes there are problems with router devices that need fixing, but in the
circumstances of there being a lot of devices out there that are broken in some
respect, I believe that it is a shortcoming of the installation procedure that
it doesn't detect networking incompatibilities such as this and report any
incompatibility to the installer, offering installation of a workaround as I've
mentioned above.

Another question arises however for mobile computing users and that is...how can
these type of issues be dealt with when connecting to arbitrary networks?

Version-Release number of selected component (if applicable):

as in

How reproducible:

always in my circumstance

Steps to Reproduce:
1. Install linux from DVD
2. Observe lousy network behaviour and latency when connected to router that
apparently doesn't support tcp window scaling (Draytek 2900VG in my case)

Actual results:

Lousy network performance

Expected results:

Reasonable network performance

Additional info:
Comment 1 David Campbell 2007-08-21 06:55:31 EDT
This article contains some quite interesting information about tcp window

Comment 2 Chuck Ebbert 2007-08-21 11:59:02 EDT
Sorry, we can't really mess with this because the simple fix would severely
limit performance for people whose networking hardware works properly, and we
can't implement a more complex one because we'd have to maintain that across
kernel releases.
Comment 3 David Campbell 2007-08-22 18:45:27 EDT
GRR someone reaassigned this to kernel and I did not raise this against
kernel... it isn't a kernel issue - my point being that either the installer or
the network scripts should have some smarts to detect network problems

Note You need to log in before you can comment on or make changes to this bug.